require 'db/mongo/models/stack_template/stack_template_aws'
require 'db/mongo/models/stack_template/stack_template_openstack'

FactoryGirl.define do
  factory :stack_template, aliases: [:stack_template_aws], class: Devops::Model::StackTemplateAws do
    id 'name'
    template_body '{}'
    owner 'root'
    provider 'aws'
    provider_account 'first'

    factory :stack_template_openstack, class: Devops::Model::StackTemplateOpenstack do
      provider 'openstack'
    end
  end
end